Subject: Re: linux-next: Tree for August 11

From: Hiroshi Shimamoto <[email-masked]>
Date: Tue, 12 Aug 2008 10:39:08 -0700

Stephen Rothwell wrote:
> Hi Hiroshi,
> 
> On Mon, 11 Aug 2008 13:11:17 -0700 Hiroshi Shimamoto <[email-masked]> wrote:
>> I got an error on um defconfig;
>>
>> arch/um/drivers/line.c: In function 'line_ioctl':
>> arch/um/drivers/line.c:306: error: implicit declaration of function 'tioclinux'
>> make[1]: *** [arch/um/drivers/line.o] Error 1
>>
>>
>> This commit may cause it.
>>
>> commit 1aa5f1fab397054a9133bcaf511973db5a6b97be
>> Author: Alan Cox <[email-masked]>
>> Date:   Mon Aug 11 10:27:35 2008 +1000
>>
>>     tty-fixup-uml
>>
>>     Add a new nicer hook for tioclinux
> 
> It looks like it may be fixed in today's linux-next as that patch has
> been updated.
> 

Hi, thanks for working.

I got a linkage error, next;

arch/um/drivers/built-in.o: In function `line_ioctl':
/data/kernel/mainline/workdir/next/.branches/um/linux/arch/um/drivers/line.c:306: undefined reference to `tioclinux'
collect2: ld returned 1 exit status
  KSYM    .tmp_kallsyms1.S
nm: '.tmp_vmlinux1': No such file
No valid symbol.
make: *** [.tmp_kallsyms1.S] Error 1

The tioclinux() is in drivers/char/vt.c and this is compiled when
CONFIG_HW_CONSOLE is enabled. I think this config is never turned on in uml,
because of the following definition in drivers/char/Kconfig;

config HW_CONSOLE
	bool
	depends on VT && !S390 && !UML
	default y

thanks,
Hiroshi Shimamoto